### Virtual Method

# EDataServerUI CredentialsPrompterImpl process_prompt

#### Declaration [src]

    void
    process_prompt (
      ECredentialsPrompterImpl* prompter_impl,
      gpointer prompt_id,
      ESource* auth_source,
      ESource* cred_source,
      const gchar* error_text,
      const ENamedParameters* credentials
    )

#### Description

No description available.

#### Parameters

`prompt_id`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`auth_source`

  Type: `ESource`

  No description available.

  The data is owned by the caller of the method.

`cred_source`

  Type: `ESource`

  No description available.

  The data is owned by the caller of the method.

`error_text`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`credentials`

  Type: `ENamedParameters`

  No description available.

  The data is owned by the caller of the method.